﻿package tests {
	
	import flash.geom.Point;
	import com.gskinner.performance.TestSuite;
	import com.gskinner.performance.MethodTest;
	
	public class MultDiv extends TestSuite {
		
	// Constants:
		
	// Public Properties:
		// the number of elements in each collection:
		public var loops:uint = 10000000;	
		
	// Protected Properties:
		
		// set up some variables used in the test:
		
	// Initialization:
		public function MultDiv() {
			name = "MultDiv";
			description = "Compares the same mathematical operation with division and multiplication. "+loops+" loops.";
			tareTest = new MethodTest(tare);
			iterations = 4;
			tests = [
				new MethodTest(division, null, "division", 0, 1, "division"),
				new MethodTest(multiplication, null, "multiplication", 0, 1, "multiplication")
			];
		}
		
	// Public getter / setters:
		
	// Public Methods:
		
	// Protected Methods:
		// tare method that will be run to calculate the base time required to run the loop
		// so it can be subtracted from the other test results.
		protected function tare():void {
			for (var i:uint=0; i<loops; i++) {
				
			}
		}
		
		protected function division():void {
			for (var i:Number=0; i<loops; i++) {
				var a:Number = i/4;
				var b:Number = i/10;
				var c:Number = i/1000;
			}
		}
		
		protected function multiplication():void {
			for (var i:Number=0; i<loops; i++) {
				var a:Number = i*0.25;
				var b:Number = i*0.1;
				var c:Number = i*0.001;
			}
		}
	
		
	}
	
}